Package com.mockobjects.dynamic

# Interface Callable

All Superinterfaces:
  `Verifiable`

All Known Subinterfaces:
  `CallableAddable`

All Known Implementing Classes:
  `CallBag`, `CallOnceExpectation`, `CallSequence`, `CallSignature`, `CallStub`, `ReturnStub`, `ThrowStub`, `VoidStub`

public interface Callable extends Verifiable

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(Mock mock, String methodName, Object[] args)`
`String`
`getDescription()`
`boolean`
`matches(String methodName, Object[] args)`

### Methods inherited from interface com.mockobjects.Verifiable

`verify`

## Method Details

### getDescription

String getDescription()

### call

Object call(Mock mock, String methodName, Object[] args) throws Throwable

Throws:
  `Throwable`

### matches

boolean matches(String methodName, Object[] args)